@charset "UTF-8";
/* guide-envelope CSS */
.sec-env{
    container-type: inline-size;
    container-name: env;
}

/* ----- アンカーリンクボタン ----- */
.anchor-list{
    gap: 10px;
}
.anchor-list>li{
    width: calc(20% - 8px);
}
.anchor-list>li a{
    display: block;
    width: 100%;
    padding: 10px 10px 10px 25px;
    text-align: center;
    background-color: #fff;
    border: 1px solid var(--color-main); 
    border-radius: 5px;
    transition: all 0.3s ease;
    position: relative;
}
.anchor-list>li a:before{
    content: "";
    display: block;
    background-color: #ffb65e;
    width: 15px;
    height: 10px;
    clip-path: polygon(0 0, 100% 0%, 50% 100%);
    position: absolute;
    top: 50%;
    left: 10px;
    transform: translateY(-50%);
    transition: all 0.3s ease;
}

@media (min-width:768px){
    .anchor-list>li a:hover{
        background-color: #fff6d0;
    }
    .anchor-list>li a:hover:before{
        top: calc(50% + 3px);
    }
}

@container env (max-width:900px){
    .anchor-list>li {
        width: calc(33.3333% - 6.6666px);
    }
}

@container env (max-width:560px){
    .anchor-list {
        gap: 5px;
    }
    .anchor-list>li {
        width: calc(33.3333% - 3.3333px);
    }
    .anchor-list>li a {
        display: block;
        width: 100%;
        padding: 8px 3px 8px 15px;
    }
    .anchor-list>li a:before {
        width: 12px;
        height: 8px;
        left: 3px;
    }
}
@container env (max-width:520px){
    .anchor-list>li {
        width: calc(50% - 2.5px);
    }
}

/* ----- 説明エリア -------------------- */
/* 封筒色・種類（ベース）--------------- */
.type-info.flex{
    gap: 20px;
    align-items: center;
}
.type-img.flex{
    gap: 5px;
}
.type-img .img-cont{
    border: 1px solid var(--color-border);
    position: relative;
}
.type-img .img-cont .img-cont-txt{
    background-color: rgb(102 102 102 / 70%);
    padding: 4px 8px;
    position: absolute;
    right: 0;
    bottom: 0;
}
.type-info.flex .type-img .img-cont{
    width: 180px;
}
.type-info.flex .type-txt{
    flex: 1;
}

.type-info.has-imglist .type-img .img-cont {
    width: calc(16.6666% - 4.1666px);
}

@container env (max-width:800px){
    .type-info.flex .type-img .img-cont {
        width: 150px;
    }
    .type-info.has-imglist .type-img .img-cont {
        width: calc(25% - 3.75px);
    }
}

@container env (max-width:650px){
    .type-info.flex {
        flex-direction: column-reverse;
    }
    .type-info.flex .type-img .img-cont {
        width: calc(50% - 2.5px);
        max-width: 200px;
    }
}
@container env (max-width:500px){
    .type-info.has-imglist .type-img .img-cont {
        width: calc(33.3333% - 3.3333px);
    }
    .type-img .img-cont .img-cont-txt {
        padding: 2px 6px;
    }
}

.spec-table td:last-child{
    white-space: normal;
    min-width: 150px;
}

/* 封筒サイズ --------------- */
.type-info.flex.size-popular .type-img .img-cont {
    width: calc(16.6666% - 4.1666px);
    padding: 5px;
    background-color: #ebffff;
}
.type-info.flex.size-popular .type-img .img-cont img{
    width: 100%;
    height: 100%;
}

.guide-envelope_size .th-size{
    width: 200px;
    min-width: 100px;
}

@container env (max-width:900px){
    .type-info.flex.size-popular .type-img .img-cont {
        width: calc(25% - 3.75px);
        padding: 20px;
    }
}

@container env (max-width:700px){
    .type-info.flex.size-popular .type-img .img-cont {
        width: calc(33.3333% - 3.3333px);
        padding: 15px;
    }
}

@container env (max-width:450px){
    .type-info.flex.size-popular .type-img .img-cont {
        width: calc(50% - 2.5px);
        padding: 10px;
    }
}

/* 封筒厚さ　--------------- */
.guide-envelope_thickness .anchor-list>li {
    width: calc(25% - 7.5px);
}

.intro-thickness .spec-table {
    background-color: #999;
    border-left: 1px solid #999;
}

.table-list{
    gap: 40px;
}
.table-list .table-listitem{
    width: calc(50% - 20px);
}

.subttl{
    position: relative;
    z-index: 1;
}
.subttl-inner{
    display: block;
    width: fit-content;
    background-color: var(--bg-card);
    padding: 0 10px;
    margin-left: 30px;
}
.subttl::before{
    content: "";
    display: block;
    width: 100%;
    height: 1px;
    background-color: var(--color-main);
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    z-index: -1;
}

.table-caption{
    font-weight: bold;
    font-size: 14px;
    padding-bottom: 8px;
}
.table-list .spec-table{
    table-layout: fixed;
    text-align: center;
}
.table-list .spec-table th,
.table-list .spec-table td{
    padding: 5px;
}
.table-list .spec-table th{
    width: 120px;
    font-size: 90%;
}
.table-list .spec-table td{
    width: 33.3333%;
}

.table-list .spec-table.four-item td{
    width: 25%;
}

@container env (max-width:840px){
    .guide-envelope_thickness .anchor-list {
        max-width: 600px;
        margin: 0 auto;
    }
    .guide-envelope_thickness .anchor-list>li {
        width: calc(50% - 5px);
    }
}

@container env (max-width:700px){
    .table-list{
        gap: 40px;
    }
    .table-list .table-listitem{
        width: 100%;
    }
}

@container env (max-width:380px){
    .guide-envelope_thickness .anchor-list>li {
        width: 100%;
    }
    .guide-envelope_thickness .anchor-list>li a:before {
        left: 10px;
    }
}

/* 封筒透け具合　--------------- */
.img-transp .type-img{
    gap: 30px 10px;
}

.img-transp .type-img>li{
    width: calc(25% - 7.5px);
}
.img-transp img{
    border: 1px solid #ccc;
}
.img-transp-txt{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 4px 2px;
    padding-top: 10px;
}
.img-transp-txt>span{
    display: inline-block;
    background-color: #efefef;
    padding: 4px 10px 6px;
    border-radius: 50px;
    line-height: 1;
}

.contact-catch{
    width: fit-content;
    text-align: center;
    margin: 0 auto 10px;
    padding: 0 30px;
    position: relative;
}
.contact-catch::before,
.contact-catch::after{
    content: "";
    display: block;
    width: 1px;
    height: 100%;
    background-color: var(--text-main);
    position: absolute;
    top: 50%;
}
.contact-catch::before{
    left: 0;
    transform: translateY(-50%) rotate(-30deg);
}
.contact-catch::after{
    right: 0;
    transform: translateY(-50%) rotate(30deg);
}

.sp-only-cc{
    display: none;
}

@container env (max-width:800px){
    .img-transp .type-img>li {
        width: calc(33.3333% - 6.6666px);
    }
}

@container env (max-width:570px){
    .img-transp .type-img>li {
        width: calc(50% - 5px);
    }
}

@container env (max-width:450px){
    .sp-only-cc{
        display: block;
    }
}

@container env (max-width:350px){
    .img-transp-txt>span {
        font-size: 95%;
        letter-spacing: -0.02em;
    }
}